devel/p5-Net-LDAP-Class - The NetBSD Packages Collection

Perl 5 module providing an object-relational mapper for Net::LDAP

The Perl 5 module Net::LDAP::Class can be described as an
object-relational mapping for LDAP. More accurately it provides for
LDAP management an ORM-like API, similar to these of the DBIx::Class
and Rose::DB::Object modules.

Build dependencies

devel/p5-Net-LDAP-Server-Test pkgtools/cwrappers

Runtime dependencies

devel/p5-Clone devel/p5-Data-Dump security/p5-Digest-SHA1 devel/p5-Net-LDAP-Batch devel/p5-Net-LDAP-SID devel/p5-Rose-Object databases/p5-perl-ldap lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Net-LDAP-Class-0.27nb4.tgz
NetBSD 8.0earmv7hfp5-Net-LDAP-Class-0.27nb3.tgz
NetBSD 8.0earmv7hfp5-Net-LDAP-Class-0.27nb4.tgz
NetBSD 8.0i386p5-Net-LDAP-Class-0.27nb3.tgz
NetBSD 8.0i386p5-Net-LDAP-Class-0.27nb4.tgz
NetBSD 8.0powerpcp5-Net-LDAP-Class-0.27nb3.tgz
NetBSD 8.0powerpcp5-Net-LDAP-Class-0.27nb4.tgz
NetBSD 8.0powerpcp5-Net-LDAP-Class-0.27nb4.tgz
NetBSD 8.0powerpcp5-Net-LDAP-Class-0.27nb4.tgz
NetBSD 8.0x86_64p5-Net-LDAP-Class-0.27nb3.tgz
NetBSD 8.0x86_64p5-Net-LDAP-Class-0.27nb4.tgz
NetBSD 9.0aarch64p5-Net-LDAP-Class-0.27nb4.tgz
NetBSD 9.0aarch64p5-Net-LDAP-Class-0.27nb3.tgz
NetBSD 9.0aarch64p5-Net-LDAP-Class-0.27nb4.tgz
NetBSD 9.0alphap5-Net-LDAP-Class-0.27nb4.tgz
NetBSD 9.0alphap5-Net-LDAP-Class-0.27nb3.tgz
NetBSD 9.0alphap5-Net-LDAP-Class-0.27nb4.tgz
NetBSD 9.0earmv6hfp5-Net-LDAP-Class-0.27nb4.tgz
NetBSD 9.0earmv6hfp5-Net-LDAP-Class-0.27nb3.tgz
NetBSD 9.0earmv6hfp5-Net-LDAP-Class-0.27nb4.tgz
NetBSD 9.0earmv7hfp5-Net-LDAP-Class-0.27nb4.tgz
NetBSD 9.0earmv7hfp5-Net-LDAP-Class-0.27nb3.tgz
NetBSD 9.0earmv7hfp5-Net-LDAP-Class-0.27nb4.tgz
NetBSD 9.0earmv7hfp5-Net-LDAP-Class-0.27nb4.tgz
NetBSD 9.0i386p5-Net-LDAP-Class-0.27nb3.tgz
NetBSD 9.0i386p5-Net-LDAP-Class-0.27nb4.tgz
NetBSD 9.0i386p5-Net-LDAP-Class-0.27nb4.tgz
NetBSD 9.0mips64ebp5-Net-LDAP-Class-0.27nb4.tgz
NetBSD 9.0mips64ebp5-Net-LDAP-Class-0.27nb3.tgz
NetBSD 9.0mips64ebp5-Net-LDAP-Class-0.27nb3.tgz
NetBSD 9.0mips64ebp5-Net-LDAP-Class-0.27nb3.tgz
NetBSD 9.0mips64ebp5-Net-LDAP-Class-0.27nb4.tgz
NetBSD 9.0powerpcp5-Net-LDAP-Class-0.27nb4.tgz
NetBSD 9.0powerpcp5-Net-LDAP-Class-0.27nb3.tgz
NetBSD 9.0powerpcp5-Net-LDAP-Class-0.27nb4.tgz
NetBSD 9.0powerpcp5-Net-LDAP-Class-0.27nb4.tgz
NetBSD 9.0sparc64p5-Net-LDAP-Class-0.27nb4.tgz
NetBSD 9.0sparc64p5-Net-LDAP-Class-0.27nb3.tgz
NetBSD 9.0sparc64p5-Net-LDAP-Class-0.27nb4.tgz
NetBSD 9.0sparcp5-Net-LDAP-Class-0.27nb4.tgz
NetBSD 9.0sparcp5-Net-LDAP-Class-0.27nb3.tgz
NetBSD 9.0sparcp5-Net-LDAP-Class-0.27nb3.tgz
NetBSD 9.0sparcp5-Net-LDAP-Class-0.27nb4.tgz
NetBSD 9.0x86_64p5-Net-LDAP-Class-0.27nb4.tgz
NetBSD 9.0x86_64p5-Net-LDAP-Class-0.27nb4.tgz
NetBSD 9.0x86_64p5-Net-LDAP-Class-0.27nb3.tgz
NetBSD 9.0x86_64p5-Net-LDAP-Class-0.27nb4.tgz
NetBSD 9.0x86_64p5-Net-LDAP-Class-0.27nb4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.